/* $Workfile: Dsp64Ioctl.h $   $Revision: 1 $    $Modtime: 6/16/08 11:37a $  */
#ifndef DSP64_IOCTL_H
#define DSP64_IOCTL_H
/*------------------------------------------------------- File Description -*\

  @doc PublicDsp55SdkApi

  Odin TeleSystems Inc.

  SAA-1012-1 OTX DSP C55x Software Development Kit (SDK)

  @module

    Dsp55Ioctl.h | Macros and structs for sharing data between a C55x DSP and the host.

  @contents2
  Dsp55Ioctl.h |

  @index enum struct type | Dsp55Ioctl

  @contents2
  Host-Dsp Communication addresses (Dsp55Ioctl.h) |

  Overriding the some of the macros defined in Dsp55Ioctl.h
  
  We keep the host/dsp communication buffers below address 0x10000 so that
  we can use unsigned short as the data type for the address pointers.

\*--------------------------------------------------------------------------*/


#ifdef HDR_DBG // Define to trace include order of headers
#pragma message("\n" __FILE__ "(1): Including\n")
#endif


#include "DspIoctl.h"

#if defined(__linux__) 
#pragma pack(2)
#elif defined(_TMS320DM64X)
// No pack pragma needed for the DSP compiler
#elif defined(__BORLANDC__)
#pragma option push -a2
#else
#pragma pack(push,2)
#endif


// @type OTXDSP_SDK_MAX_TIMESLOTS_PER_HIGHWAY | Otx DSP SDK Number of 64kbit/s timeslots per highway (on a 8Mbps highway)
#define OTXDSP_SDK_MAX_TIMESLOTS_PER_HIGHWAY   128
// @type OTXDSP_SDK_MAX_WORDSLOTS_PER_HIGHWAY | Otx DSP SDK Number of 128kbit/s timeslots per highway  (on a 8Mbps highway)
#define OTXDSP_SDK_MAX_WORDSLOTS_PER_HIGHWAY  (OTXDSP_SDK_TIMESLOTS_PER_HIGHWAY/2)


// @type OTXDSP_SDK_TIMESLOTS_PER_HIGHWAY | Otx DSP SDK Number of 64kbit/s timeslots per highway (on a 2Mbps highway)
#define OTXDSP_SDK_TIMESLOTS_PER_HIGHWAY   32
// @type OTXDSP_SDK_WORDSLOTS_PER_HIGHWAY | Otx DSP SDK Number of 128kbit/s timeslots per highway  (on a 2Mbps highway)
#define OTXDSP_SDK_WORDSLOTS_PER_HIGHWAY  (OTXDSP_SDK_TIMESLOTS_PER_HIGHWAY/2)




// Note: the addresses in this file are byte addresses
// Note: the lengths in this file are specified in number of words (not bytes)


//#define OTXDSP55_SDK_INTERRUPT_CONFIRM_ADDR 0x0000C0   // The host writes a non-zero value to this address when he confirms the interrupt that was sent to him
 
#define OTXDSP_SDK_EVENT_BUF_INCLUDE_HANDLE 1
#define OTXDSP_SDK_EVENT_BUF_INCLUDE_TASKREF 1


#if defined(__linux__) 
#pragma pack(2)
#elif defined(_TMS320DM64X)
// No pack pragma needed for the DSP compiler
#elif defined(__BORLANDC__)
#pragma option pop
#else
#pragma pack(pop)
#endif


/******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 2002-2003


  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

******************************************************************************/
#endif /* DSP55_IOCTL_H */
