/* $Workfile: OtxDef.h $   $Revision: 28 $    $Modtime: 4/28/08 6:42p $  */
#ifndef OTX_DEFINITIONS_H
#define OTX_DEFINITIONS_H
/******************************************************************************

  Copyright (C) 1998 - 2008 Odin TeleSystems Inc., All Rights Reserved.

  @doc PublicHwApi OtxDef

  OTX Generic Hardware Driver API

  @module
  OtxDef | Types used in OTX driver API

  @contents2
  OtxDef.h |

  @index const | OtxDef

  @contents2
  OTX Driver Level Constants |

  @index const | OtxDef

******************************************************************************/

#include "OsaDef.h"

// Cosmetic definitions used to indicate in and out parameters in function signatures
#define IN
#define OUT

#if( defined(WIN32) && !defined(_WIN32_WCE) )
#define OTX_MAX_PATH     _MAX_PATH
#else
#define OTX_MAX_PATH         255
#endif

#define OTX_DEV_NAME_MAX_CB       64


// @const Maximum number of timeslots on a local PCM highway. A local highway is a 2.048 Mbit/s
// highway and it has 32 64kbit/s time-slots.
#define  OTX_LOCAL_PIPE_TIMESLOTS_MAX 32

// @const For backwards compatibility
#define  OTX_PIPE_TIMESLOTS_MAX   512


// @const Maximum number of timeslots on a H.100 PCM highway. 
// A H.100 highway has a capacity of either 
// 2.048 Mbit/s (32 64kbit/s timeslots), 
// 4.096 Mbit/s (64 64kbit/s timeslots), 
// or 8.192 Mbits/s (128 64kbit/s timeslots).
#define OTX_H100_PIPE_TIMESLOTS_MAX    128

// @const Maximum number of timeslots on either Local or a H.100 PCM highway. 
#define OTX_ANY_PIPE_TIMESLOTS_MAX    OTX_PIPE_TIMESLOTS_MAX

// @const Maximum number of PCM highways local to one NIC card.
#define OTX_LOCAL_HIGHWAYS_MAX    16

// @const Maximum number of PCM H100 highways.
#define OTX_H100_HIGHWAYS_MAX    32

// @const Maximum number of total (Local + H.100) PCM highways.
#define OTX_TOTAL_HIGHWAYS_MAX    (OTX_LOCAL_HIGHWAYS_MAX + OTX_H100_HIGHWAYS_MAX)

#define OTX_VARI_SIZE_FIELD              1        // In a variable sized struct, the last field is variable in size, but is declared with only one element.
                                                  // The variable sized struct is usually malloc'ed to it's right size

// @const Maximum number of CT BUS devices
#define OTX_H100_CT_BUS_MAX    16

#define OTX_HIGHWAY_SPEED_2MBS    32
#define OTX_HIGHWAY_SPEED_4MBS    64
#define OTX_HIGHWAY_SPEED_8MBS    128
#define OTX_HIGHWAY_SPEED_16MBS   256

/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1998 - 2008

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/

#endif // OTX_DEFINITIONS_H

